Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit.html
Enum ToolbarRendererBase.ItemSeparators

    java.lang.Object
      java.lang.Enum<ToolbarRendererBase.ItemSeparators>
          org.richfaces.renderkit.html.ToolbarRendererBase.ItemSeparators

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ToolbarRendererBase.ItemSeparators>

Enclosing class:
  ToolbarRendererBase

    public static enum ToolbarRendererBase.ItemSeparators

extends java.lang.Enum<ToolbarRendererBase.ItemSeparators>

Enum Constant Summary
`DISC`
`GRID`
`LINE`
`NONE`
`SQUARE`

Method Summary
`static ToolbarRendererBase.ItemSeparators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ToolbarRendererBase.ItemSeparators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ToolbarRendererBase.ItemSeparators NONE

### SQUARE

    public static final ToolbarRendererBase.ItemSeparators SQUARE

### DISC

    public static final ToolbarRendererBase.ItemSeparators DISC

### GRID

    public static final ToolbarRendererBase.ItemSeparators GRID

### LINE

    public static final ToolbarRendererBase.ItemSeparators LINE

Method Detail

### values

    public static ToolbarRendererBase.ItemSeparators[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ToolbarRendererBase.ItemSeparators c : ToolbarRendererBase.ItemSeparators.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ToolbarRendererBase.ItemSeparators valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.